QGIS Application - Feature request #3331
GdalTools: add utilities for MapServer
2010-12-14 02:50 AM - Giuseppe Sucameli

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13391
Description

The following comands are not really useful for desktop use, but may be useful for [[MapServer]] use:

- gdaltindex - Build a [[MapServer]] raster tileindex.

- gdal2tiles.py - Create a TMS tile structure, KML and simple web viewer.

- gdal_retile.py - Retiles a set of tiles and/or build tiled pyramid levels.

History

#1 - 2011-02-04 10:05 AM - Alexander Bruy

Here is patch that implement gdaltindex command for [[GdalTools]].

#2 - 2011-02-07 05:34 PM - Giuseppe Sucameli

Replying to [comment:1 alexbruy]:

Here is patch that implement gdaltindex command for [[GdalTools]].

Patch for gdaltindex committed in trunk (commit:29418388 (SVN r15136)). Thank you, alexbruy!

#3 - 2011-12-16 01:49 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:10 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-12-31 01:24 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#7 - 2014-06-29 10:09 AM - Jurgen Fischer
- Assignee deleted (anonymous -)

#8 - 2015-11-19 05:17 AM - Médéric RIBREUX
- Status changed from Open to Feedback
- % Done changed from 0 to 30
- Pull Request or Patch supplied set to No

Hello, bug triage...

on QGIS 2.13, gdaltindex is on Raster -> Miscellaneous -> Tile Index and there is also a Processing Tool (GDAL -> Miscellaneous -> Tile Index).

| think that we should add gdal_retile.py and gdal2tiles.py as Processing tools. The "binaries" are packaged into the main distribution of QGIS.

#9 - 2015-12-22 05:15 AM - Médéric RIBREUX
- Status changed from Feedback to Open

#10 - 2015-12-22 05:37 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL
- Status info deleted (0)

- Operating System deleted (All)

- Assignee set to Giovanni Manghi

#11 - 2016-01-04 04:59 AM - Giovanni Manghi
- Status changed from Open to Feedback

- Assignee deleted (Giovanni Manghi)

- Priority changed from Low to Normal

see https:/github.com/qgis/QGIS/pull/2633

#12 - 2016-01-04 05:19 AM - Médéric RIBREUX

- Status changed from Feedback to In Progress

Hello, bug triage...

there is now a PR for this feature request...

#13 - 2016-01-06 10:11 AM - Médéric RIBREUX

- Estimated time set to 8.00

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
- Resolution set to fixed/implemented

PR is merged in #1f22b432b52fa077f9837b9a8b77b9c8d6f84f62 !
